<?xml version='1.0' encoding='UTF-8'?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>net.ihe.gazelle</groupId>
        <artifactId>AssertionManagerGui</artifactId>
        <version>5.1.1-SNAPSHOT</version>
        <relativePath>../pom.xml</relativePath>
    </parent>
    <artifactId>AssertionManagerGui-ear</artifactId>
    <packaging>ear</packaging>
    <name>AssertionManagerGui - EAR</name>
    <dependencies>
        <!-- Application modules -->
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>AssertionManagerGui-war</artifactId>
            <type>war</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>AssertionManagerGui-ejb</artifactId>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle</groupId>
            <artifactId>gazelle-preferences</artifactId>
            <type>ejb</type>
            <scope>compile</scope>
        </dependency>
        <!-- Seam dependencies -->
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam</artifactId>
            <version>${version.seam}</version>
            <type>ejb</type>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-remoting</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-ui</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-mail</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-debug</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-pdf</artifactId>
        </dependency>
        <dependency>
            <groupId>org.jboss.seam</groupId>
            <artifactId>jboss-seam-excel</artifactId>
        </dependency>
        <dependency>
            <groupId>org.richfaces.ui</groupId>
            <artifactId>richfaces-components-ui</artifactId>
        </dependency>
        <dependency>
            <groupId>org.richfaces.core</groupId>
            <artifactId>richfaces-core-impl</artifactId>
        </dependency>
        <dependency>
            <groupId>com.sun.faces</groupId>
            <artifactId>jsf-impl</artifactId>
        </dependency>
        <dependency>
            <groupId>net.ihe.gazelle.cdk</groupId>
            <artifactId>cdk-tags</artifactId>
            <version>1.0.7</version>
        </dependency>
    </dependencies>
    <properties>
        <version.soapui>5.3.0</version.soapui>
    </properties>
    <pluginRepositories>
        <pluginRepository>
            <id>smartbear-sweden-plugin-repository</id>
            <url>http://www.soapui.org/repository/maven2/</url>
        </pluginRepository>
    </pluginRepositories>
    <build>
        <resources>
            <resource>
                <filtering>true</filtering>
                <directory>src/main/application</directory>
            </resource>
        </resources>
        <plugins>
            <!--<plugin>
                <groupId>com.smartbear.soapui</groupId>
                <artifactId>soapui-maven-plugin</artifactId>
                <version>${version.soapui}</version>
                <configuration>
                    <projectFile>${project.basedir}/src/main/resource/soap_ui/AssertionManage-REST-soapui-project.xml</projectFile>
                    <outputFolder>target/surefire-reports</outputFolder>
                    <junitReport>true</junitReport>
                    <printReport>true</printReport>
                    <exportAll>true</exportAll>
                    <testFailIgnore>true</testFailIgnore>
                    <endpoint>${endpoint}</endpoint>
                    <soapuiProperties>
                        <property>
                            <name>soapui.logroot</name>
                            <value>${project.basedir}/src/main/resource/soap_ui/soapui-logs/</value>
                        </property>
                    </soapuiProperties>
                </configuration>
                <executions>
                    <execution>
                        <id>AssertionManagerGui</id>
                        <phase>integration-test</phase>
                        <goals>
                            <goal>test</goal>
                        </goals>
                    </execution>
                </executions>
                <dependencies>
                    <dependency>
                        <groupId>com.smartbear.soapui</groupId>
                        <artifactId>soapui</artifactId>
                        <version>${version.soapui}</version>
                        <exclusions>
                            <exclusion>
                                <groupId>javafx</groupId>
                                <artifactId>jfxrt</artifactId>
                            </exclusion>
                        </exclusions>
                    </dependency>
                </dependencies>
            </plugin>-->
            <plugin>
                <artifactId>maven-ear-plugin</artifactId>
                <configuration>
                    <finalName>AssertionManagerGui</finalName>
                    <filtering>true</filtering>
                    <includeLibInApplicationXml>false</includeLibInApplicationXml>
                    <defaultLibBundleDir>lib</defaultLibBundleDir>
                    <modules>
                        <webModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>AssertionManagerGui-war</artifactId>
                            <contextRoot>AssertionManagerGui</contextRoot>
                        </webModule>
                        <ejbModule>
                            <groupId>org.jboss.seam</groupId>
                            <artifactId>jboss-seam</artifactId>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle.maven</groupId>
                            <artifactId>gazelle-seam-tools-jar</artifactId>
                            <uri>gazelle-seam-tools-jar.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle.simulators</groupId>
                            <artifactId>simulator-common-ejb</artifactId>
                            <uri>simulator-common-ejb.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>AssertionManagerGui-ejb</artifactId>
                            <uri>AssertionManagerGui-ejb.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>AssertionManagerGui-model</artifactId>
                            <uri>AssertionManagerGui-model.jar</uri>
                        </ejbModule>
                        <ejbModule>
                            <groupId>net.ihe.gazelle</groupId>
                            <artifactId>metadata-v7</artifactId>
                            <uri>metadata-v7.jar</uri>
                        </ejbModule>
                    </modules>
                    <version>${version.jboss.app}</version>
                </configuration>
            </plugin>
            <plugin>
                <artifactId>maven-resources-plugin</artifactId>
                <configuration>
                    <outputDirectory>${basedir}/target</outputDirectory>
                </configuration>
            </plugin>
        </plugins>
        <pluginManagement>
            <plugins>
                <!--This plugin's configuration is used to store Eclipse m2e settings
                    only. It has no influence on the Maven build itself. -->
                <plugin>
                    <groupId>org.eclipse.m2e</groupId>
                    <artifactId>lifecycle-mapping</artifactId>
                    <version>1.0.0</version>
                    <configuration>
                        <lifecycleMappingMetadata>
                            <pluginExecutions>
                                <pluginExecution>
                                    <pluginExecutionFilter>
                                        <groupId>org.apache.maven.plugins</groupId>
                                        <artifactId>maven-ear-plugin</artifactId>
                                        <versionRange>[2.4.1,)</versionRange>
                                        <goals>
                                            <goal>generate-application-xml</goal>
                                        </goals>
                                    </pluginExecutionFilter>
                                    <action>
                                        <ignore />
                                    </action>
                                </pluginExecution>
                            </pluginExecutions>
                        </lifecycleMappingMetadata>
                    </configuration>
                </plugin>
                <plugin>
                    <artifactId>maven-assembly-plugin</artifactId>
                    <version>2.2.1</version>
                    <configuration>
                        <descriptors>
                            <descriptor>src/main/assembly/datasource.xml</descriptor>
                        </descriptors>
                    </configuration>
                    <executions>
                        <execution>
                            <id>make-assembly</id>
                            <phase>package</phase>
                            <goals>
                                <goal>single</goal>
                            </goals>
                        </execution>
                    </executions>
                </plugin>
            </plugins>
        </pluginManagement>
    </build>
</project>
